<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Plugin\Factory;

use Inti\Provider\Service\ProviderManagerInterface;
use Inti\Wp\Plugin\PluginInterface;
use Inti\Wp\Provider\Service\IdManager;
use Psr\Container\ContainerInterface;

/**
 * Class ProviderPluginFactory
 *
 * @package Inti\Wp\Provider\Plugin\Factory
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
final class ProviderPluginFactory
{
    public function __invoke(ContainerInterface $container, string $requestedName): PluginInterface
    {
        $providers = $container->get(ProviderManagerInterface::class);
        return new $requestedName($providers, IdManager::instance());
    }
}
