<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Term;

use Inti\Wp\Provider\Type\AbstractWpType;

/**
 * Class AbstractTaxonomy
 *
 * @package Inti\Wp\Provider\Type\Term
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractTaxonomy extends AbstractWpType implements TaxonomyInterface
{
    protected bool  $public             = true;
    protected bool  $show_admin_column  = false;
    protected ?bool $show_in_quick_edit = null;
    protected ?bool $show_tag_cloud     = null;

    public function getObjectType(): string
    {
        return 'term';
    }

    public function showAdminColumn(): bool
    {
        return $this->show_admin_column;
    }

    public function showInQuickEdit(): ?bool
    {
        return $this->show_in_quick_edit;
    }

    public function showTagCloud(): ?bool
    {
        return $this->show_tag_cloud;
    }
}
